CVE-2016-5829

CVE Details

Release Date:2016-06-25

Description


Multiple heap-based buffer overflows in the hiddev_ioctl_usagefunction in drivers/hid/usbhid/hiddev.c in the Linux kernel through 4.6.3 allow local users to cause a denial of service or possibly have unspecified other impact via a crafted (1) HIDIOCGUSAGES or (2) HIDIOCSUSAGES ioctl call.

See more information about CVE-2016-5829 from MITRE CVE dictionary and NIST NVD


CVSS v2 metrics


NOTE: The following CVSS v2 metrics and score provided are preliminary and subject to review.

Base Score:6.9 Base Metrics:AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector: Local network Confidentiality Impact: Complete
Access Impact: Medium Integrity Impact: Complete
Authentication: None required Availability Impact: Complete

Errata information


PlatformErrataRelease Date
Oracle Linux version 5 (kernel-uek)ELSA-2016-36242016-10-06
Oracle Linux version 6 (dtrace-modules-3.8.13-118.13.2.el6uek)ELSA-2016-36232016-10-06
Oracle Linux version 6 (dtrace-modules-4.1.12-61.1.13.el6uek)ELSA-2016-36252016-10-06
Oracle Linux version 6 (kernel)ELSA-2016-20062016-10-04
Oracle Linux version 6 (kernel-uek)ELSA-2016-36232016-10-06
Oracle Linux version 6 (kernel-uek)ELSA-2016-36242016-10-06
Oracle Linux version 6 (kernel-uek)ELSA-2016-36252016-10-06
Oracle Linux version 7 (dtrace-modules-3.8.13-118.13.2.el7uek)ELSA-2016-36232016-10-06
Oracle Linux version 7 (dtrace-modules-4.1.12-61.1.13.el7uek)ELSA-2016-36252016-10-06
Oracle Linux version 7 (kernel)ELSA-2016-25742016-11-09
Oracle Linux version 7 (kernel-uek)ELSA-2016-36232016-10-06
Oracle Linux version 7 (kernel-uek)ELSA-2016-36252016-10-06
Oracle VM version 3.2 (kernel-uek)OVMSA-2016-01582016-11-15
Oracle VM version 3.3 (kernel-uek)OVMSA-2016-01392016-10-06
Oracle VM version 3.4 (kernel-uek)OVMSA-2016-01382016-10-06



This page is generated automatically and has not been checked for errors or omissions. For clarification or corrections please contact the Oracle Linux ULN team

software.hardware.complete